com.pdfunit.filter.font

## Enum FontType

- java.lang.Object
- - java.lang.Enum<FontType>
  - - com.pdfunit.filter.font.FontType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FontType>

      @DoNotObfuscate
      public enum FontType
      extends java.lang.Enum<FontType>

  Enumeration defining the font types.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CID`
    `CIDFontType0`
    `CIDFontType2`
    `MMType1`
    `OpenType`
    `TrueType`
    `Type0`
    `Type1`
    `Type3`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `displayValue`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(java.lang.String expectedType)`
    `static FontType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FontType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CID

          public static final FontType CID

    - #### CIDFontType0

          public static final FontType CIDFontType0

    - #### CIDFontType2

          public static final FontType CIDFontType2

    - #### MMType1

          public static final FontType MMType1

    - #### OpenType

          public static final FontType OpenType

    - #### TrueType

          public static final FontType TrueType

    - #### Type0

          public static final FontType Type0

    - #### Type1

          public static final FontType Type1

    - #### Type3

          public static final FontType Type3

  - ### Field Detail

    - #### displayValue

          protected java.lang.String displayValue

  - ### Method Detail

    - #### values

          public static FontType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FontType c : FontType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FontType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### matches

          public boolean matches(java.lang.String expectedType)

Copyright (C) PDFUnit.com. See here for license.